#!/usr/bin/env python
# -*- coding:utf-8 -*-
#递归快速排序
def q_sort(sort_list):
    if not sort_list:
        return []
    else:
        base_index = sort_list[0]
        left = q_sort([ x for x in sort_list if base_index > x])
        right = q_sort([x for x in sort_list if base_index < x])
    return sort_list


def quick_sort(sort_list,start,end):
    if start < end :
        base,i,j = sort_list[start],start,end
        while i < j:
            while i < j and (sort_list[j] >= base):
                j-=1
            while i < j and (sort_list[i] <= base):
                 i+=1
            sort_list[i],sort_list[j] = sort_list[j],sort_list[i]
        sort_list[i],sort_list[start] = sort_list[start],sort_list[i]
        quick_sort(sort_list,start,i-1)
        quick_sort(sort_list,j+1,end)
    return sort_list

l = [8,6,99,44,2,3,5,7,44,77,9]
print(quick_sort(l,0,len(l)-1))
print(q_sort(l))

#ok
