#!/usr/bin/env python
# -*-coding:utf-8 -*-
# pass要求：有一个sort方法，方法接收两个参数，一个参数是列表，另外一个参数是排序方法
# 例如：当传入bubble时，则调用冒泡排序的方法进行排序，并打印出每一步数字挪动的过程
# 当传入quick时，则调用快速排序的方法进行排序，并打印出每一步数字挪动的过程外部不可以直接访问具体排序方法，
# 只能调用sort方法
class SortUtils:
        # def __quick_sort(self,str):
        #     if not len(str):
        #         return []
        #     else:
        #         base = str[0]
        #         left = SortUtils.__quick_sort(self,[x for x in str[1:] if x < base])
        #         right = SortUtils.__quick_sort(self,[x for x in str[1:] if x > base])
        #     return left + [base] + right
        #
        #快速排序
        def __quick_sort(self,a, start_index, end_index):
            # 左侧小于右侧则开始排序，否则退出
            if start_index < end_index:
                basic, i, j = a[start_index], start_index, end_index
                while i < j:
                    while i < j and basic <= a[j]:
                        j -= 1
                    while i < j and basic >= a[i]:
                        i += 1
                    a[i], a[j] = a[j], a[i]
                a[i], a[start_index] = a[start_index], a[i]
                SortUtils.__quick_sort(self,a, start_index, i - 1)
                SortUtils.__quick_sort(self,a, i + 1, end_index)
            return a
        #冒泡排序
        def __bubbleSort(self,nums):
            for i in range(len(nums) - 1):  # 这个循环负责设置冒泡排序进行的次数
                for j in range(len(nums) - i - 1):  # ｊ为列表下标
                    if nums[j] > nums[j + 1]:
                        nums[j], nums[j + 1] = nums[j + 1], nums[j]

            return nums

        def sort(self,str,method = "bubble"):
            if method == 'bubble':
                result = SortUtils.__bubbleSort(self,str)
                return result
            elif method == 'quick':
                result = SortUtils.__quick_sort(self,str,0, len(str) - 1)
                return result
            else:
                return None
str = [8,6,3,88,99,86,56,54]
utils = SortUtils()
#r = utils.sort(str,'bubble')
s = utils.sort(str,'quick')
#print(r)
print(s)

#ok